;----------------------------------------------------------------------------------------
; Tablas para el calculo de direcciones en pantalla adaptadas a la tabla-4
; de metalbrain separadas ambas (dblow del dbhigh) 256bytes. FILA EN PIXELS Y COLU EN CHARS
        org	$8f00				; 36608		 
tablay:

	db #00,#00,#00,#00,#00,#00,#00,#00
        db #20,#20,#20,#20,#20,#20,#20,#20
        db #40,#40,#40,#40,#40,#40,#40,#40
        db #60,#60,#60,#60,#60,#60,#60,#60
        db #80,#80,#80,#80,#80,#80,#80,#80
        db #a0,#a0,#a0,#a0,#a0,#a0,#a0,#a0
        db #c0,#c0,#c0,#c0,#c0,#c0,#c0,#c0
        db #e0,#e0,#e0,#e0,#e0,#e0,#e0,#e0

        db #00,#00,#00,#00,#00,#00,#00,#00
        db #20,#20,#20,#20,#20,#20,#20,#20
        db #40,#40,#40,#40,#40,#40,#40,#40
        db #60,#60,#60,#60,#60,#60,#60,#60
        db #80,#80,#80,#80,#80,#80,#80,#80
        db #a0,#a0,#a0,#a0,#a0,#a0,#a0,#a0
        db #c0,#c0,#c0,#c0,#c0,#c0,#c0,#c0
        db #e0,#e0,#e0,#e0,#e0,#e0,#e0,#e0

        db #00,#00,#00,#00,#00,#00,#00,#00
        db #20,#20,#20,#20,#20,#20,#20,#20
        db #40,#40,#40,#40,#40,#40,#40,#40
        db #60,#60,#60,#60,#60,#60,#60,#60
        db #80,#80,#80,#80,#80,#80,#80,#80
        db #a0,#a0,#a0,#a0,#a0,#a0,#a0,#a0
        db #c0,#c0,#c0,#c0,#c0,#c0,#c0,#c0
        db #e0,#e0,#e0,#e0,#e0,#e0,#e0,#e0
;----------------------------------------------------------------------------------------
; Rutina de tablas para el calculo de coord. en pantalla by metalbrain
; entrada a=X y l=Y
tabla4metal:
                    ld h,tablay/256	;2/7
                    add a,(hl)		;2/7
                    inc h		;1/4
                    ld h,(hl)		;2/7
                    ld l,a		;1/4
                    ret			;3/10	Total= 39 estados

	org	$9000				; 36864	antes	45312
        db #40,#41,#42,#43,#44,#45,#46,#47
        db #40,#41,#42,#43,#44,#45,#46,#47
        db #40,#41,#42,#43,#44,#45,#46,#47
        db #40,#41,#42,#43,#44,#45,#46,#47
        db #40,#41,#42,#43,#44,#45,#46,#47
        db #40,#41,#42,#43,#44,#45,#46,#47
        db #40,#41,#42,#43,#44,#45,#46,#47
        db #40,#41,#42,#43,#44,#45,#46,#47

        db #48,#49,#4a,#4b,#4c,#4d,#4e,#4f
        db #48,#49,#4a,#4b,#4c,#4d,#4e,#4f
        db #48,#49,#4a,#4b,#4c,#4d,#4e,#4f
        db #48,#49,#4a,#4b,#4c,#4d,#4e,#4f
        db #48,#49,#4a,#4b,#4c,#4d,#4e,#4f
        db #48,#49,#4a,#4b,#4c,#4d,#4e,#4f
        db #48,#49,#4a,#4b,#4c,#4d,#4e,#4f
        db #48,#49,#4a,#4b,#4c,#4d,#4e,#4f

        db #50,#51,#52,#53,#54,#55,#56,#57
        db #50,#51,#52,#53,#54,#55,#56,#57
        db #50,#51,#52,#53,#54,#55,#56,#57
        db #50,#51,#52,#53,#54,#55,#56,#57
        db #50,#51,#52,#53,#54,#55,#56,#57
        db #50,#51,#52,#53,#54,#55,#56,#57
        db #50,#51,#52,#53,#54,#55,#56,#57
        db #50,#51,#52,#53,#54,#55,#56,#57